IOS8 support?

Post Reply
untos
OpenVpn Newbie
Posts: 3
Joined: Fri Feb 09, 2018 6:54 pm

IOS8 support?

Post by untos » Fri Feb 09, 2018 7:08 pm

I have an old (jailbroken) iPad on IOS8 used for kitchen recipes. The App Store won't let me install OpenVPN Connect without upgrading to IOS9 which I don't want to do.

How can I install an older version of OpenVPN on this system?

Google found an .ipa file for Open VPN Connect 1.0.5 (was that the last version that worked on IOS8?). I can unzip it and can get OpenVPN to run, but I can't import an .ovpn file even when I "Open With OpenVPN". OpenVPN-connect opens, but doesn't add an options to import it.

I notice there is an OpenVPNPlugin.vpnplugin folder as well with OpenVPNPlugin in there. What is that for? Does it have to be registered with the OS somehow to import .ovpn files? Does it need to be installed in some special way? I don't see OpenVPN in the IOS Settings app either.

Can I just copy the .ovpn file somewhere specific on the IOS filesystem so I don't need to import it? If so, where?

User avatar
ordex
OpenVPN Inc.
Posts: 282
Joined: Wed Dec 28, 2016 2:32 am

Re: IOS8 support?

Post by ordex » Sat Feb 17, 2018 2:17 am

The VPNPlugin is the old way Apple gave OpenVPN to implement its own logic. As of now, Apple has dropped support for this feature - this is why you don't find the old app (supporting iOS8) anymore. The new App uses what Apple calls Network Extension and what is the currently supported API for VPN implementations.

This API is implemented starting with iOS 9 (hence the forced update).

Unless somebody knows a hack around this and is able to install the old 1.1.1 version (last version using the plugin), I wouldn't know what to suggest. I personally never tried to install an .ipa manually. It may just break things.

untos
OpenVpn Newbie
Posts: 3
Joined: Fri Feb 09, 2018 6:54 pm

Re: IOS8 support?

Post by untos » Mon Feb 19, 2018 9:23 pm

Thank you for the explanation.

I guess 1.1.1 would still work on IOS8 if it could be installed properly.

I wish there was an Openvpn-connect-legacy app on the iTunes store so IOS8 could still use OpenVPNs.

User avatar
ordex
OpenVPN Inc.
Posts: 282
Joined: Wed Dec 28, 2016 2:32 am

Re: IOS8 support?

Post by ordex » Tue Feb 20, 2018 2:21 am

This is not possible unfortunately, because Apple does not want the old technology to be present in any newly submitted App...

untos
OpenVpn Newbie
Posts: 3
Joined: Fri Feb 09, 2018 6:54 pm

Re: IOS8 support?

Post by untos » Tue Feb 20, 2018 6:20 pm

Some googling (of stackoverflow & others) suggests it might be possible to drag & install an IPA from iTunes, or other (developer) app installing service.

Maybe that would also register the vpnplugin and fully install it.

I have not found an original OpenVPN 1.1.1 IPA file to try though. VLC keeps their old .IPAs online but I haven't found an OpenVPN Connect IPA archive.

Post Reply